# vim: set ts=4 sw=4 et:
# kate: space-indent on; indent-width 4;
#
# spec file for package gCue2tracks (Version 0.5.2)
#
# Copyright (c) 2010, 2011 Kyrill Detinov
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           gCue2tracks
Version:        0.5.2
Release:        pm152.4.4
License: GPL-2.0
Summary:        Split Compressed Audio CD Image to Tracks
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source0:        %{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE gcue2tracks-0.5.2-codec_opts.patch lazy.kent@opensuse.org
# -- change some codecs options
Patch0:         gCue2tracks-0.5.2-codec_opts.patch
# PATCH-FIX-UPSTREAM gCue2tracks-0.5.0-setup.patch lazy.kent@opensuse.org
# -- don't install *.h files
Patch1:         gCue2tracks-0.5.0-setup.patch
BuildRequires:  fdupes
BuildRequires:  pkgconfig(python2)
BuildRequires:  update-desktop-files
Requires:       cuetools
Requires:       ffmpeg
Requires:       flac
Requires:       lame
Requires:       mac
Requires:       python-gtk
Requires:       python-mutagen
Requires:       shntool
Requires:       vorbis-tools
Requires:       wavpack
BuildArch:      noarch
%{py_requires}

%description
Tool for spliting compressed audio CD image to tracks with filling tags
from cue sheet info.

%prep
%setup -qn %{name}
%patch0
%patch1

%build

%install
# Create desktop-file because the original one is incorrect.
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=gCue2tracks
GenericName=Split Compressed Audio CD Image to Tracks
GenericName[ru]=Разрезание образа Audio CD на треки
Comment=Tool for spliting audio CD image to tracks with cue sheet info.
Comment[ru]=Утилита для разрезания образа Audio CD на треки по информации из cue файла.
Exec=gcue2tracks %f
Icon=gCue2tracks
Terminal=false
Type=Application
Categories=AudioVideo;AudioVideoEditing;GTK;
MimeType=application/x-cue;
EOF
# End of desktop-file.

# Don't use --record-rpm, this records standard dirs.
python2 setup.py install \
            --root=%{buildroot} \
            --prefix=%{_prefix} \
            --record=INSTALLED_FILES

%fdupes -s %{buildroot}
%find_lang %{name}
cat INSTALLED_FILES %{name}.lang > full-list
%suse_update_desktop_file %{name}

%files -f full-list
%doc debian/{copyright,changelog}
%dir %{_datadir}/gcue2tracks
%dir %{_datadir}/gcue2tracks/ui

%changelog
* Thu Mar 24 2011 lazy.kent@opensuse.org
- update to 0.5.2
- refresh codec_opts patch
- doesn't require apetag, requires flac
* Wed Mar  2 2011 lazy.kent@opensuse.org
- moved to Packman
- corrected codec_opts patch
- added copyright to docs
* Sun Oct 17 2010 lazy.kent.suse@gmail.com
- update to 0.5.0
- requires GTK2 >= 2.16
- setup.patch to fix installed files list
- codec_opts.patch refresh
* Wed May 19 2010 lazy.kent.suse@gmail.com
- update to 0.4.6
* Sat Apr  3 2010 lazy.kent.suse@gmail.com
- initial package created
